<?php
/**
 * A class for the special news object factory
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class ShipSimuWebNewsFactory extends BaseFrameworkSystem {
	/**
	 * Protected constructor
	 *
	 * @return	void
	 */
	protected function __construct () {
		// Call parent constructor
		parent::__construct(__CLASS__);

		// Set part description
		$this->setObjectDescription("News-Objektefabrik f&uuml;r Ship-Simu");

		// Create unique ID number
		$this->generateUniqueId();

		// Clean up a little
		$this->removeNumberFormaters();
		$this->removeSystemArray();
	}

	/**
	 * Creates an instance of this class
	 *
	 * @return		$factoryInstance	An instance of this class
	 */
	public final static function createShipSimuWebNewsFactory () {
		// Get a new instance
		$factoryInstance = new ShipSimuWebNewsFactory();

		// Return the prepared instance
		return $factoryInstance;
	}

	/**
	 * Create the news object itself here depending on the request
	 *
	 * @param	$requestInstance	An instance of a request class
	 * @return	$newsInstance		An instance of a news class
	 */
	public function createNewObject (Requestable $requestInstance) {
		// Do some stuff here
	}
}

// [EOF]
?>
